<!doctype html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Oživovátko - nastavení</title>
    <style>
      body {
        font-family: sans-serif;
        background: #3498db;
        width: 100%;
        text-align: center;
        margin: 20px 0px 20px 0px;
      }

      p {
        font-size: 12px;
        text-decoration: none;
        color: #fff;
      }

      .box {
        background: white;
        width: 40ch;
        border-radius: 6px;
        margin: 0 auto 0 auto;
        padding: 10px 10px 10px 0px;
      }

      .r_align {
        text-align: right;
      }

      input[type='text'],
      input[type='password'],
      input[type='number'],
      select {
        background: #ecf0f1;
        border: #ccc 1px solid;
        border-bottom: #ccc 2px solid;
        padding: 8px;
        width: 60%;
        color: #222;  // 555 also works. Originally was aaa
        margin-top: 10px;
        font-size: 1em;
        border-radius: 4px;
      }

      select {
        //color: black;
        width: 65%;
      }

      .btn {
        background: #2ecc71;
        width: 50%;
        padding-top: 5px;
        padding-bottom: 5px;
        color: white;
        border-radius: 4px;
        border: #27ae60 1px solid;
        margin: 20 auto;
        font-weight: 800;
        font-size: 0.8em;
        margin-top: 10px;
      }

      details {
        margin-bottom: 20px;
        position: relative;
        padding: 15px 20px;

        &::before {
          content: '';
          position: absolute;
          inset: 0;
          background: var(--green);
          opacity: 0.1;
          z-index: -1;
        }

        & p {
          &:first-child {
              margin-top: 0;
          }

          &:last-child {
              margin-bottom: 0;
          }
        }

        &:focus-within {
          outline: 2px solid var(--green);

          & summary {
              outline: none;
          }
        }
      }

      summary {
          cursor: pointer;
          margin: -5px -5px 5px 15px;
          font-size: 1.5em;
          font-weight: bolder;
          line-height: 1.2;
          list-style-position: outside;
          padding-left: 10px;
      }
    </style>
    <script>
      var getJSON = function(url, callback) {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', url, true);
        xhr.responseType = 'json';
        xhr.onload = function() {
          var status = xhr.status;
          if (status === 200) {
            callback(null, xhr.response);
          } else {
            callback(status, xhr.response);
          }
        };
        xhr.send();
      };

      function loadData() {
        getJSON(window.location.origin+"/data",
          function(err, data) {
            if (err !== null) {
              alert('Something went wrong: ' + err);
            } else {
              // Fill our form data here from received configuration
              document.getElementById("mode").querySelector(`option[value="${data.mode}"]`).selected = true;
              document.getElementById("t_red").value = data.t_red;
              document.getElementById("t_green").value = data.t_green;
              document.getElementById("t_black").value = data.t_black;
              document.getElementById("lives_count").value = data.lives_count;
              document.getElementById("show_remaining").querySelector(`option[value="${data.show_remaining}"]`).selected = true;

              document.getElementById("ssid").value = data.ssid;
            }
          });
      }
    </script>
  </head>
  <body onload="loadData();">
    <details>
      <summary>Statistiky</summary>
      <table class="box"><tr><td>Počet stisknutí:</td></tr></table>
    </details>

    <details>
      <summary>Nastavení zařízení</summary>
      <form action="/config" method="get" class="box r_align">
        <label for="mode">Režim:</label>
        <select name="mode" id="mode">
          <option value="simple">Jednoduchý režim</option>
          <option value="limited_lives">Omezené životy</option>
          <option value="cyclic">Cyklický režim</option>
          <option value="random_green">Náhodná zelená</option>
        </select><br/>

        <label for="t_red">Trvání červené:</label>
        <input type="number" name="t_red" id="t_red" min="0" required/><br/>

        <label for="t_green">Trvání zelené:</label>
        <input type="number" name="t_green" id="t_green" min="0" required/><br/>

        <label for="t_black">Trvání zhasnutí:</label>
        <input type="number" name="t_black" id="t_black" min="0" required/><br/>

        <label for="lives_count">Počet životů:</label>
        <input type="number" name="lives_count" id="lives_count" min="0" required/><br/>

        <label for="show_remaining">Zbývající životy:</label>
        <select name="show_remaining" id="show_remaining">
          <option value="0">Skrýt</option>
          <option value="1">Zobrazovat</option>
        </select><br/>

        <button type="submit" class="btn">Nastavit</button>
      </form>
    </details>

    <details>
      <summary>Nastvení Wifi</summary>
      <form action="/wifi" method="get" class="box">
        <input type="text" placeholder="My WiFi SSID" name="ssid" id="ssid" /><br />
        <input type="password" placeholder="WiFi Password" name="password" /><br />
        <button type="submit" class="btn">Nastavit</button>
      </form>
    </details>
  </body>
</html>
